var cimCookie = function(name, value, expireHours, path) {

        // name and at least value given, set cookie...
        if (arguments.length > 1 ) {
        
            if (expireHours === null || expireHours === undefined) {
                expireHours = 7;
            }

            if (typeof expireHours === 'number') {
                var t = new Date();
                t.setTime(t.getTime()+(expireHours*60*60*1000));
            }

            value = String(value);
            
            document.cookie = name+"="+value+"; expires="+t.toUTCString()+"; path="+path+";";
            
            return;
        }

        // name only, get cookie...
        var pairs = document.cookie.split('; ');
        for (var i = 0, pair; pair = pairs[i] && pairs[i].split('='); i++) {
            if (pair[0] === name) return pair[1] || ''; 
        }
        return null;
    };
